API referenceEndpointsSources
Get Source Authorization Request
Return the state and expiry of one Source authorization request.
Return the state and expiry of one Source authorization request.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
requestId*string
Source authorization request UUID.
Format
uuidQuery Parameters
accountId*string
Account UUID that defines the tenant and authorization scope.
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/source-authorization-requests/00000000-0000-4000-8000-000000000008?accountId=00000000-0000-4000-8000-000000000001"{ "data": { "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6", "sourceId": "797f5a94-3689-4ac8-82fd-d749511ea2b2", "state": "pending", "expiresAt": "2019-08-24T14:15:22Z", "discoveryJobId": "a24e613e-e3a4-4bdc-bb4c-f7f0270512c7", "discoveryState": "queued", "discoveryError": "string" }, "correlationId": "string"}